Subject: Re: Problems with network share access after sshing into machine
From: Sead Mujushi <[email-masked]>
To: Elfyn McBratney <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Oct 2002 08:40:20 -0700

G'day Elfyn,

tried that also but my problem is that everything works fine except
when I ssh in to the account.  All network shares become unavailable.

In this example I ssh into the account create the mount. The mount
/s is unreadable but when I logout of the ssh connect /s becomes
available.

> CYGWIN01-wdsladm-/s-305 % ssh localhost
> wdsladm@localhost's password:
> Last login: Thu Oct 17 08:32:02 2002 from cygwin01.arraycomm.com
> You have logged in...
> CYGWIN01-wdsladm-~-250 % mkdir -p /s
> CYGWIN01-wdsladm-~-251 % mount //sj-f760-2/s /s
> mount: defaulting to '--no-executable' flag for speed since native path
>        references a remote share.  Use '-f' option to override.
> CYGWIN01-wdsladm-~-252 % df -k
> Filesystem           1k-blocks      Used Available Use% Mounted on
> C:\cygwin\usr\X11R6\lib\X11\fonts
>                        9992429   3015293   6977136  31%
> /usr/X11R6/lib/X11/fonts C:\cygwin\bin          9992429   3015293
> 6977136  31% /usr/bin C:\cygwin\lib          9992429   3015293   6977136
> 31% /usr/lib df: `/s': Permission denied
> C:\cygwin              9992429   3015293   6977136  31% /
> c:                     9992429   3015293   6977136  31% /cygdrive/c
> CYGWIN01-wdsladm-~-253 % exit
> logout
> Connection to localhost closed.
> CYGWIN01-wdsladm-~-306 % df -k
> Filesystem           1k-blocks      Used Available Use% Mounted on
> C:\cygwin\usr\X11R6\lib\X11\fonts
>                        9992429   3015338   6977091  31%
> /usr/X11R6/lib/X11/fonts C:\cygwin\bin          9992429   3015338
> 6977091  31% /usr/bin C:\cygwin\lib          9992429   3015338   6977091
> 31% /usr/lib \\sj-f760-2\s        267637068 210018116  57618952  79% /s
> C:\cygwin              9992429   3015338   6977091  31% /
> c:                     9992429   3015338   6977091  31% /cygdrive/c
> i:                   267637068 210018116  57618952  79% /cygdrive/i

--On Wednesday, October 16, 2002 11:54 PM +0100 Elfyn McBratney 
<[email-masked]> wrote:
> Have you tried:
>
>     $ mkdir -p /s
>     $ mount //sj-f760-2/s /s
>
> ???
>
> This works for me...
>
> Is wdsladm a real username on the domain (or server sj-f760-2) and if so
> does this user have permission on that share?
>
> Elfyn
>
> ----- Original Message -----
> From: Sead Mujushi <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, October 16, 2002 10:50 PM
> Subject: Problems with network share access after sshing into machine
>
>
>> G'day guys,
>>
>> I have a problem that I think is related to permissions
>> but I'm not entirely sure. I've followed some of the
>> suggestions and tips that others and Corinna have posted
>> to no avail.
>>
>> I have setup ssh on a Win2k machine running the cygwin
>> environment "cygwin01".
>>
>> I've run
>> > % mkpasswd -d -l > /etc/passwd
>> > % mkgroup -d -l > /etc/group
>>
>> I've got ssh working, I can login and get the Fanfare
>> motd message (which I changed) but network shares don't
>> appear once I've logged in.  The "wdsladm" login is
>> a domain account.
>>
>> eg: Testing network share, sshing in then no longer being
>> able to access that share...
>>
>> > CYGWIN01-wdsladm-~-266 % ls -l /cygdrive
>> > total 0
>> > drwxr-xr-x   26 wdsladm  None            0 Oct 16 10:39 i/
>> > CYGWIN01-wdsladm-~-268 % ssh localhost
>> > wdsladm@localhost's password:
>> > Last login: Wed Oct 16 14:06:06 2002 from cygwin01.arraycomm.com
>> > You have logged in...
>> > CYGWIN01-wdsladm-~-250 % ls -l /cygdrive
>> > total 0
>> > CYGWIN01-wdsladm-~-251 %
>>
>> I've tried mounting the directory using net use:
>>
>> > CYGWIN01-wdsladm-~-312 % net use t: "\\\\sj-f760-2\\s"
>> > The command completed successfully.
>> >
>> > CYGWIN01-wdsladm-~-313 %  ls -l /cygdrive/t
>> > ls: /cygdrive/t: No such file or directory
>>
>> But if I open a local bash connection to the machine (not
>> using ssh) it's successfull:
>>
>> > CYGWIN01-wdsladm-~-250 % ls -l /cygdrive/t
>> > total 5
>> > -rw-r--r--    1 wdsladm  None         3736 Nov 26  2001 README
>>
>> Any pointers or tips?
>>
>> Thanks in advance.
>>
>> PS: My 2 bits. I use rxvt and in a batch file I have listed
>> here is my incantation to rxvt to give me a half decent
>> terminal window. The bindings are set so that cut, copy and
>> paste works between windows and cygwin without having to deal
>> with the limitations of the cmd.exe interface:
>>
>> c:\cygwin\bin\rxvt.exe -g 120x45+100+100 -bg #000000 -fg #999999 -cr
>> # 00ff00 -pr #ff0000 -fn "Courier New-16" -sl 4096 -vb -e
> c:\cygwin\bin\bash
>> (Change your paths as appropriate.)
>>
>> --
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Bug reporting:         http://cygwin.com/bugs.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/
>>

--
,___  ___  __ _  __| | Snr Systems Administrator
/ __|/ _ \/ _` |/ _  | mailto:[email-masked]
\__ \ ___/ (_| | (_) | Phone: + 1 408 952 1828
|___/\____\__,_|\__'_| Pager: + 1 408 870 1008
------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/